Bug 671003 - /etc/profile.d/cvs.csh uses non-tcsh syntax
Summary: /etc/profile.d/cvs.csh uses non-tcsh syntax
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cvs
Version: 14
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-19 21:32 UTC by Corinna Vinschen
Modified: 2011-03-14 13:51 UTC (History)
1 user (show)

(edit)
Clone Of:
: 671145 684785 (view as bug list)
(edit)
Last Closed: 2011-01-28 19:17:47 UTC


Attachments (Terms of Use)

Description Corinna Vinschen 2011-01-19 21:32:55 UTC
Description of problem:

  Here's the content of the csh profile /etc/profile.d/cvs.csh:

    # change default from rsh to ssh for cvs command
    setenv CVS_RSH "${CVS_RSH-ssh}"

  This is not valid tcsh syntax.  This kind of variable substitution
  is only valid in POSIX shells.

  Right now, this bug does not result in an error when starting tcsh, but
  only because current tcsh versions ignore that line for the simple reason
  that it's missing a newline.  However, the upcoming tcsh 6.18.00 will NOT
  ignore that last line anymore and a syntax error will occur.

  The correct syntax for csh and tcsh is

    if ( "$?CVS_RSH" == 0 ) setenv CVS_RSH

  I hope this can be fixed soon.  And, please add a newline since otherwise
  the line will never be executed with the current tcsh 6.17.00.


Thanks,
Corinna

Comment 1 Corinna Vinschen 2011-01-19 21:36:08 UTC
Oops, I missed to set CVS_RSH to ssh.  So, here the *corrected*
correct syntax for csh and tcsh:

    if ( "$?CVS_RSH" == 0 ) setenv CVS_RSH ssh


Sorry about that,
Corinna

Comment 2 Petr Pisar 2011-01-20 13:39:36 UTC
Thank you for the report. Nobody uses csh probably. F15--13 affected.

Comment 3 Fedora Update System 2011-01-20 15:40:22 UTC
cvs-1.11.23-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cvs-1.11.23-12.fc14

Comment 4 Fedora Update System 2011-01-20 15:40:45 UTC
cvs-1.11.23-11.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cvs-1.11.23-11.fc13

Comment 5 Fedora Update System 2011-01-20 19:53:57 UTC
cvs-1.11.23-12.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cvs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cvs-1.11.23-12.fc14

Comment 6 Fedora Update System 2011-01-28 19:17:43 UTC
cvs-1.11.23-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-01-28 19:18:40 UTC
cvs-1.11.23-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.